Subject: bug#35535: closed (Re: bug#35535: gtksourceview-3.0.pc)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 May 2019 21:15:02 +0000

Your bug report

#35535: gtksourceview-3.0.pc 

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35535: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35535
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35535: gtksourceview-3.0.pc
From: Ricardo Wurmus <[email-masked]>
To: L p R n d n <[email-masked]>
Cc: [email-masked]
Date: Thu, 02 May 2019 23:13:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

L p R n d n <[email-masked]> writes:

> I suppose since the merging of the staging branch, at least
> mate-applets, mate-media and pluma seem unable to build.
> Mate-applets (which is an input of mate-media) and pluma depend on
> gtksourceview but are looking for gtksourceview-3.0.pc. Therefore they
> should depend on gtksourceview-3 instead of gtksourceview.
>
> I won't be able to do it right now so if anyone is motived during the
> meantime, a patch is welcome. :)

Thanks for the report.  I fixed this with commit 82329a17f4.

--
Ricardo

Subject: gtksourceview-3.0.pc
From: L p R n d n <[email-masked]>
To: [email-masked]
Date: Thu, 02 May 2019 18:46:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I suppose since the merging of the staging branch, at least
mate-applets, mate-media and pluma seem unable to build.
Mate-applets (which is an input of mate-media) and pluma depend on
gtksourceview but are looking for gtksourceview-3.0.pc. Therefore they
should depend on gtksourceview-3 instead of gtksourceview.

I won't be able to do it right now so if anyone is motived during the
meantime, a patch is welcome. :)

Have a nice day,

Lprndn